Subject: bug#76660: current guix pull doesn't authenticate

From: Tomas Volf <[email-masked]>
Date: Sun, 09 Mar 2025 10:33:45 +0100

Jack Hill <[email-masked]> writes:

> Assuming I understand correctly that there's no way to get this commit to
> verify: what are the next steps?
>
> Future looking, we should apply the patch so that we don't get non-verifiable
> commits in the future, but that won't help me, since I'll have to verify it with
> my current guix.
>
> How can I reset my state and move forward in a safe way? I assume it involves
> some manually verifying of commits?

I see few options:

1. Revert to previous good state using `guix pull --roll-back', and try
   pulling again.  Maybe it will help.

2. Checkout the Guix repository, switch to the last commit known to you
   to be safe, patch the guix/git.scm file ([0] should now apply
   clearly), build the modified Guix locally and pull using it.

3. Take someones word that some specific new commit is safe, and just
   pull while disabling protections.  Statistically, if few people
   independently confirm the commit on IRC, if should be pretty safe.

Number 1 is probably quickest to just try. :)

>
> I'm afraid I don't understand why only some people run into this
> problem.

I think it could be influenced by the commit you are currently on, and
the commit you are pulling as latest.  So depending on time of previous
and current pull, it might work or it might not work.  I assume that
limits the amount of affected people.

> Thanks!
> Jack

0: https://git.wolfsden.cz/guix/tree/etc/0001-git-Fix-usage-of-guile-git.patch

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.